Bug 16083 - xwd produces files that cannot be used by any tools
xwd produces files that cannot be used by any tools
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-12 17:46 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-12 17:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-12 17:46:07 EDT
The output of xwd is unusable.  I've tried to open its output using the
gimp, which 
crashed badly.  Here's a backtrace of the crash:

Program received signal SIGSEGV, Segmentation fault.
0x815c39a in tile_manager_get ()
(gdb) bt
#0  0x815c39a in tile_manager_get ()
#1  0x81381b8 in pixel_region_get_row ()
#2  0x8100acf in layer_invalidate_previews ()
#3  0x81004a5 in layer_linked ()
#4  0x8100571 in layer_preview ()
#5  0x817d00e in gimp_image_construct_composite_preview ()
#6  0x810b067 in lc_dialog_update_image_list ()
#7  0x810ad65 in lc_dialog_preview_update ()
#8  0x400c652f in gtk_menu_shell_forall () from /usr/lib/libgtk-1.2.so.0
#9  0x40079b78 in gtk_container_foreach () from /usr/lib/libgtk-1.2.so.0
#10 0x810ac5e in lc_dialog_flush ()
#11 0x401a697b in g_idle_dispatch () from /usr/lib/libglib-1.2.so.0
#12 0x401a5847 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#13 0x401a5ec1 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#14 0x401a608c in g_main_run () from /usr/lib/libglib-1.2.so.0
#15 0x400bce27 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#16 0x813a0c6 in plug_in_run ()
#17 0x8144ef7 in procedural_db_execute ()
#18 0x80b852a in file_save_by_extension_callback ()
#19 0x80b85bd in file_open ()
#20 0x80b9c83 in readXVThumb ()
#21 0x400be883 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#22 0x400f0bda in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#23 0x400eff1d in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#24 0x400edcc5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#25 0x4005698d in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
#26 0x4009760c in gtk_file_selection_file_button ()
   from /usr/lib/libgtk-1.2.so.0
#27 0x400be862 in gtk_marshal_NONE__INT_INT_POINTER ()
   from /usr/lib/libgtk-1.2.so.0
#28 0x400f0bda in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#29 0x400eff1d in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#30 0x400edcc5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#31 0x4006aa68 in gtk_clist_button_press () from /usr/lib/libgtk-1.2.so.0
#32 0x400be54e in gtk_marshal_BOOL__POINTER () from
/usr/lib/libgtk-1.2.so.0
#33 0x400eff5c in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#34 0x400edcc5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#35 0x40127b99 in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#36 0x400be4c5 in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#37 0x400bd58f in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#38 0x40172c11 in gdk_event_dispatch () from /usr/lib/libgdk-1.2.so.0
#39 0x401a5847 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#40 0x401a5ec1 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#41 0x401a608c in g_main_run () from /usr/lib/libglib-1.2.so.0
#42 0x400bce27 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#43 0x8110ef9 in main ()
#44 0x402db345 in __libc_start_main (main=0x8110550 <main>, argc=1, 
    ubp_av=0xbffffa44, init=0x80689a0 <_init>, fini=0x818dccc <_fini>, 
    rtld_fini=0x4000de14 <_dl_fini>, stack_end=0xbffffa3c)
    at ../sysdeps/generic/libc-start.c:111

On one image I tried this with, the gimp exited after glib tried to
allocate 2^31
bytes.

I also tried to filter the images through xwdtopnm, which exited a little
more
gracefully:

[jwy@devotchka gtkmail]$ xwdtopnm main-win.xwd 
P6
33554620 16777360
1953
xwdtopnm: writing PPM file
xwdtopnm: out of memory allocating a row

These are all screenshots of reasonably small windows (~400x400).
Comment 1 Bill Nottingham 2000-08-14 15:06:28 EDT
This should be fixed in the current rawhide XFree86 packages.

Note You need to log in before you can comment on or make changes to this bug.